Subject: RE: [Enum] "Enumservices" and RFC 3953

From: "Fullbrook Kim (UK)" <[email-masked]>
Date: Tue, 01 Feb 2005 06:01:13 -0500

Patrik,

What's your planned way forward with IANA ?

Kim

-----Original Message-----
From: Patrik Fältström [mailto:paf at cisco.com] 
Sent: 29 January 2005 13:15
To: Stastny Richard
Cc: Fullbrook Kim (UK); enum at ietf.org
Subject: Re: [Enum] "Enumservices" and RFC 3953

I will take this up with IANA.

     paf

On Jan 27, 2005, at 19:06, Stastny Richard wrote:

> Hi Kim and all,
>
>> A bit of background - what is an "enumservice" ?   There seems to be 
>> a conflict between RFCs.
>> - RFC 3761 section 2.4.2 says "In other words, a non-optional "E2U" 
>> .... followed by 1 or more or more Enumservices which >indicate what 
>> class of functionality a given end point offers.  Each Enumservice is 
>> indicated by an initial '+' character."
>
>> So in an NAPTR record with field "E2U+pres", the 'pres' bit is the 
>> enumservice and we could potentially have >"E2U+servicea+serviceb".
>
>> - However, RFC3953 describes in Section 4 the "E2U+pres" Enumservice. 
>> So in this case the enumservice is "E2U+pres".
>> Is the enumservice the combination "E2U+pres" or the singular "pres" ?
>
> I also recognized this problem some tme ago by looking at the IANA 
> registrations for "enumservices", but
> I did not really follow-up. Maybe this is a good opportunity to do so, 
> and the issue can be put
> on the agenda of the next IETF enum wg.
>
> The current registrations as shown in
> <http://www.iana.org/assignments/enum-services 
> <http://www.iana.org/assignments/enum-services> >
> are inconsistent and are likely to cause confusion
> with implementors:
>
> The Service Nam
e (which is not defined in the template of
> RFC3761 section 3.2.3 shows in some case "examples" of the
> "service-field", in some other cases the "type" of the enumservice.
>
> IMHO ALL current registrations including webft should be changed
>
> considering RFC3761:
> service-field = "E2U" 1*(servicespec)
> servicespec = "+" enumservice
> enumservice = type 0*(subtypespec)
> subtypespec = ":" subtype
> type = 1*32(ALPHA / DIGIT)
> subtype = 1*32(ALPHA / DIGIT)
>
> the "Enumservice Name" should be type or type:subtype
> (or type:subtype:subtype...)
> and ALL registrations should contain
> Type(s): and
> Subtype(s):
>
> it should therefore be e.g.
>
> Service Name: "H323" and NOT "E2U+H323"
> Type: "H323" - missing
> Subtype: N/A - missing
> URI Scheme(s): "h323:"
>
> Service Name: "SIP" and NOT "E2U+SIP"
> Type(s): "SIP"
> Subtype(s): N/A
> URI Scheme(s): "sip", "sips:"
>
> Service Name: "ifax:mailto" and NOT "E2U+ifax"
> Type: "ifax"
> Subtype: "mailto"
> URI Scheme: "mailto"
>
> Service Name: "pres" and NOT "E2U+pres"
> Type: "pres" - missing
> Subtype: N/A - missing
> URI Scheme(s): "pres:"
>
> Service Name: "web:http" and NOT "web"
> Type: "web"
> Subtype: "http"
> URI Scheme: 'http:'
>
> Service Name: "web:https" and NOT "web"
> Type: "web"
> Subtype: "https"
> URI Scheme: 'https:'
>
> Service Name: "ft:ftp" and NOT "ft"
> Type: "ft"
> Subtype: "ftp"
> URI Scheme: 'ftp
:'
>
> I suggest that this proposal is considered
> by the responsible A-Ds and WG chairs and that IANA
> is contacted appropriately after a decision is made.
>
> best regards
> Richard Stastny
>
>
>
>
> _______________________________________________
> enum mailing list
> enum at ietf.org
> https://www1.ietf.org/mailman/listinfo/enum
>

========================================================This electronic message contains information from the mmO2 plc Group which may be privileged or confidential. The information is intended tobe for the use of the individual(s) or entity named above. If you are notthe intended recipient be aware that any disclosure, copyingdistribution or use of the contents of this information is prohibited. If youhave received this electronic message in error, please notify usby telephone or email (to the numbers or address above) immediately.========================================================
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: Patrik Fältström <[email-masked]>
Date: Thu, 03 Feb 2005 03:31:43 -0500

On Feb 1, 2005, at 11:56, Fullbrook Kim (UK) wrote:
Patrik,
What's your planned way forward with IANA ?
I started by sending them a mail about the issue, and asked whether 
there were some mistakes from IANA side, or if the instructions are 
unclear.

No response yet.
    paf
Kim
-----Original Message-----
From: Patrik Fältström [mailto:paf at cisco.com]
Sent: 29 January 2005 13:15
To: Stastny Richard
Cc: Fullbrook Kim (UK); enum at ietf.org
Subject: Re: [Enum] "Enumservices" and RFC 3953

Is the enumservice the combination "E2U+pres" or the singular "pres" 
?
The Service Name (which is not defined in the template of
URI Scheme: 'ftp:'

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailma
n/listinfo/enum

-----------------------------------------------------------------------
========================================================
This electronic message contains information from the mmO2 plc Group
which may be privileged or confidential. The information is intended to
be for the use of the individual(s) or entity named above. If you are 
not
the intended recipient be aware that any disclosure, copying
distribution or use of the contents of this information is prohibited. 
If you
have received this electronic message in error, please notify us
by telephone or email (to the numbers or address above) immediately.
========================================================
_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum